//--------------------------------------------------------------
// File     : main.c
// Datum    : 11.09.2013
// Version  : 1.2
// Autor    : UB
// EMail    : mc-4u(@)t-online.de
// Web      : www.mikrocontroller-4u.de
// CPU      : STM32F4
// IDE      : CooCox CoIDE 1.7.4
// GCC      : 4.7 2012q4
// Module   : CMSIS_BOOT, M4_CMSIS_CORE
// Funktion : Terminal
//              1. Die CPU kann ber 3 mgliche Schnittstellen
//                 mit einem PC verbunden werden
//              2. Schnittstellen mssen im H-File aktiviert werden
//                    USB_CDC (USB-OTG / Virtueller Comport)
//                    UART (TX=PC10 / RX=PC11 / Baud=115200)
//                    UDP (IP=192.168.0.10 / Port=65100)
//              3. ber Terminal-Befehle knnen Funktionen
//                 ausgefhrt werden
//              4. z.B. Kommando "HELP" listet alle implementierten
//                 Funktionen auf
//
// Hinweis  : Diese zwei Files muessen auf 8MHz stehen
//              "cmsis_boot/stm32f4xx.h"
//              "cmsis_boot/system_stm32f4xx.c"
//
// Portpins :
//
//   bei USB_CDC = PA8-12
//   bei UART    = PC10-11
//   bei UDP     = PA1,2,7 + PB11-14, PC1,4,5
//
// Funktionen :
//   
//   1 = GPIO : Digitale IO-Pins lesen und schalten
//   2 = ADC  : Analog-Kanle lesen
//--------------------------------------------------------------

#include "main.h"
#include "stm32_ub_terminal.h"



//--------------------------------------------------------------
int main(void)
{

  SystemInit(); // Quarz Einstellungen aktivieren

  // init vom Terminal
  UB_Terminal_Init();

  while(1)
  {
    UB_Terminal_Do();
  }
}















