//--------------------------------------------------------------
// File     : stm32_ub_terminal.h
//--------------------------------------------------------------

//--------------------------------------------------------------
#ifndef __STM32F4_UB_TERMINAL_H
#define __STM32F4_UB_TERMINAL_H


//--------------------------------------------------------------
// Enable/Disable fr die Terminal Schnittstellen
// mindestens eine Schnittstelle muss aktiviert sein
// die Schnittstellen die nicht gebraucht werden, auskommentieren
//--------------------------------------------------------------
#define  USE_TERMINAL_CDC     // CDC-Schnittstelle
//#define  USE_TERMINAL_UART    // UART-Schnittstelle
//#define  USE_TERMINAL_UDP     // UDP-Schnittstelle


//--------------------------------------------------------------
// Includes
//--------------------------------------------------------------
#include "stm32f4xx.h"
#include <stdio.h>
#include <stdarg.h>
#include <string.h>

#ifdef USE_TERMINAL_CDC
  #include "stm32_ub_usb_cdc.h"
#endif
#ifdef USE_TERMINAL_UART
  #include "stm32_ub_uart.h"
#endif
#ifdef USE_TERMINAL_UDP
  #include "stm32_ub_udp_server.h"
#endif




//--------------------------------------------------------------
// Enable/Disable fr die Terminal Funktionen
// die Funktionen die nicht gebraucht werden, auskommentieren
//--------------------------------------------------------------
#define  USE_TERMINAL_GPIO     // GPIO-Funktionen
#define  USE_TERMINAL_ADC      // ADC-Funktionen


#ifdef USE_TERMINAL_GPIO
  #include "stm32_ub_terminal_gpio.h"
#endif

#ifdef USE_TERMINAL_ADC
  #include "stm32_ub_terminal_adc.h"
#endif



uint8_t ascii_err_flag;

//--------------------------------------------------------------
// Globale Funktionen
//--------------------------------------------------------------
void UB_Terminal_Init(void);
void UB_Terminal_Do(void);
void TERMINAL_SEND(char *ptr);
uint32_t TERMINAL_STR2INT(char *ptr, uint8_t start, uint8_t len);
void TERMINAL_SEND_INT(char *ptr, uint16_t wert, uint16_t mode);



//--------------------------------------------------------------
#endif // __STM32F4_UB_TERMINAL_H
