//--------------------------------------------------------------
// File     : stm32_ub_terminal_adc.h
//--------------------------------------------------------------

//--------------------------------------------------------------
#ifndef __STM32F4_UB_TERMINAL_ADC_H
#define __STM32F4_UB_TERMINAL_ADC_H


//--------------------------------------------------------------
// Includes
//--------------------------------------------------------------
#include "stm32f4xx.h"
#include "stm32_ub_terminal.h"
#include "stm32f4xx_gpio.h"
#include "stm32f4xx_rcc.h"
#include "stm32f4xx_adc.h"




//--------------------------------------------------------------
// ADC-Clock
// Max-ADC-Frq = 36MHz
// Grundfrequenz = APB2 (APB2=84MHz)
// Moegliche Vorteiler = 2,4,6,8
//--------------------------------------------------------------

//#define ADC1s_VORTEILER     ADC_Prescaler_Div2 // Frq = 42 MHz
#define ADC1s_VORTEILER     ADC_Prescaler_Div4   // Frq = 21 MHz
//#define ADC1s_VORTEILER     ADC_Prescaler_Div6 // Frq = 14 MHz
//#define ADC1s_VORTEILER     ADC_Prescaler_Div8 // Frq = 10.5 MHz



//--------------------------------------------------------------
// Globale Funktionen
//--------------------------------------------------------------
void TERMINAL_ADC_SET_MW(char *ptr);
void TERMINAL_ADC_IN(char *ptr);
void TERMINAL_ADC_READ(char *ptr) ;



//--------------------------------------------------------------
#endif // __STM32F4_UB_TERMINAL_ADC_H
